#! /bin/bash
#This recipe was adapted from the conda-forge recipe

if [ "$(uname)" = Darwin ] ; then
  export CC=clang
  export CXX=clang++
  export CPPFLAGS="$CPPFLAGS -I$PREFIX/include"
  export LDFLAGS="$LDFLAGS -L$PREFIX/lib -Wl,-rpath,$PREFIX/lib -headerpad_max_install_names"
  export LIBRARY_SEARCH_VAR=DYLD_FALLBACK_LIBRARY_PATH
  export MACOSX_DEPLOYMENT_TARGET="10.9"
  export CXXFLAGS="-stdlib=libc++ $CXXFLAGS"
  CONDA_BUILD_SYSROOT=/opt/MacOSX10.9.sdk
elif [ "$(uname)" = "Linux" ] ; then
  export CPPFLAGS="-I${PREFIX}/include $CPPFLAGS"
  export LDFLAGS="-L${PREFIX}/lib $LDFLAGS"
fi

#In case any of the GTK dependencies contain libtool files
# conda-build #3102 should fix this, but the dependency might have been built without this.
find $PREFIX -name '*.la' -delete
find $CONDA_PREFIX -name '*.la' -delete

./configure --prefix=$PREFIX \
            --disable-gtk-doc \
            --disable-static

make -j$CPU_COUNT
make check
make install -j$CPU_COUNT

#Add a symlink that is done in CIAO
cd $PREFIX/include
ln -s atk-1.0/atk atk

#Clean up created libtool files
cd $PREFIX
find . -name '*.la' -delete
